#include <iostream>
#include <vector>
using namespace std;

int main()
{
    int n; cin>>n;
    vector<int> a(n);
    vector<vector<int> > b(n);
    cin>>a[0];
    b[0].push_back(0);
    for(int i=1;i<n;i++)
    {
        cin>>a[i];
        if(a[i]<a[i-1]) b[0].push_back(b[0][i-1]+1);
        else b[0].push_back(b[0][i-1]);
    }
    for(int i=1;i<n;i++)
    {
        b[i].push_back(0);
        for(int j=1;j<n-i;j++)
        {
            b[i].push_back(b[i-1][j]-(b[i-1][j-1]-b[i][j-1]));
        }
    }
    int q; cin>>q;
    for(int i=0;i<q;i++)
    {
        int l,r;
        cin>>l>>r;
        if(b[l-1][r-l]>=2) cout<<"NE"<<endl;
        else cout<<"DA"<<endl;
    }
    return 0;
}